import CrudEl from "./CrudEl"

import { hooksName, useHooks } from './CrudEl/hooks'

import { InitSystem, DeepClone, DataMerger, isObjEqual } from './CrudEl/Methods'



const createCrudEl = (app: any, options: SystemParametersType) => {
    if (options) {
        if (!options.CrudRequest) console.error('请配置全局请求的主方法：CrudRequest')
        InitSystem(options)
        app.use(CrudEl)
    } else {
        console.error('请初始化CrudEl配置项');
    }
}


export {
    createCrudEl,

    InitSystem,
    DeepClone,
    DataMerger,
    isObjEqual,

    hooksName,
    useHooks,
}
